<Project Sdk="Microsoft.NET.Sdk">
	<Import Project="$(SolutionDir)Solution.props" />
	<PropertyGroup>
		<TargetFramework>net472</TargetFramework>
		<OutputType>Library</OutputType>
		<AssemblyName>Program</AssemblyName>
		<UseWPF>true</UseWPF>
		<Description>NGSRI Program</Description>
		<Product>NGSRI Program GUI</Product>
		<AllowUnsafeBlocks>true</AllowUnsafeBlocks>

      <!-- Static versioning (Suitable for Development) -->
      <!-- Disable the line below for dynamic versioning -->
		<Version>1.0.0</Version>
		<ApplicationIcon>Resources\Icons\app.ico</ApplicationIcon>
		<LangVersion>10.0</LangVersion>
	</PropertyGroup>

	<ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
		<PackageReference Include="CommunityToolkit.Mvvm" Version="8.3.2" />
      <PackageReference Include="Raytheon.Instruments.InstrumentManager.GeneralInstrumentManager" Version="1.5.0" />
      <PackageReference Include="Raytheon.Common" Version="1.0.0" />
      <PackageReference Include="Raytheon.Instruments.Implementation" Version="1.0.0" />
      <PackageReference Include="Raytheon.MAL" Version="1.0.0" />
	</ItemGroup>

	<ItemGroup>
      <Reference Include="NationalInstruments.TestStand.Interop.API">
        <HintPath>..\ProgramLib\Dependencies\NationalInstruments.TestStand.Interop.API.dll</HintPath>
      </Reference>
		<Reference Include="System.Windows" />
	</ItemGroup>

	<ItemGroup>
	  <Resource Include="Resources\Icons\app.ico" />
	  <Resource Include="Resources\Images\black-led.png" />
	  <Resource Include="Resources\Images\green-check-mark.png" />
	  <Resource Include="Resources\Images\green-led.png" />
	  <Resource Include="Resources\Images\missile.png" />
	  <Resource Include="Resources\Images\red-cross-mark.png" />
	  <Resource Include="Resources\Images\red-led.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\close_black.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\close_white.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\maximize.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\minimize.png" />
	  <Resource Include="Resources\Images\Title_Bar_Buttons\restore.png" />
	  <Resource Include="Resources\Images\yellow-led.png" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Update="Properties\Settings.Designer.cs">
	    <DesignTimeSharedInput>True</DesignTimeSharedInput>
	    <AutoGen>True</AutoGen>
	    <DependentUpon>Settings.settings</DependentUpon>
	  </Compile>
	</ItemGroup>

	<ItemGroup>
	  <None Update="Properties\Settings.settings">
	    <Generator>SettingsSingleFileGenerator</Generator>
	    <LastGenOutput>Settings.Designer.cs</LastGenOutput>
	  </None>
	</ItemGroup>
   
   <Target Name="CopyFiles" AfterTargets="AfterBuild">
      <ItemGroup>
         <FILES_1 Include="Dependencies\*.*" />
         <FILES_2 Include="InstrumentConfigFiles\*.*" />
         <FILES_3 Include="TestMethodConfigFiles\*.*" />
         <FILES_4 Include="Dependencies\RINSS\*.*" />
      </ItemGroup>
      <Copy SourceFiles="@(FILES_1)" DestinationFolder="$(OutDir)" />
      <Copy SourceFiles="@(FILES_2)" DestinationFolder="$(OutDir)InstrumentConfig" />
      <Copy SourceFiles="@(FILES_3)" DestinationFolder="$(OutDir)TestMethodConfig" />
      <Copy SourceFiles="@(FILES_4)" DestinationFolder="$(OutDir)RINSS" />
      <Copy SourceFiles="ProgramConfigFiles\config.ini" DestinationFolder="$(OutDir)" />
      <Copy SourceFiles="MiscConfigFiles\NLog.config" DestinationFolder="$(OutDir)" />
   </Target>

   <Target Name="ProjClean" AfterTargets="AfterClean">
      <RemoveDir Directories="$(OutDir)InstrumentConfig" />
      <RemoveDir Directories="$(OutDir)TestMethodConfig" />
      <RemoveDir Directories="$(OutDir)RINSS" />
      <Delete Files="$(OutDir)config.ini" />
      <Delete Files="$(OutDir)NLog.config" />
      <Delete Files="$(OutDir)NLogWrapper.Part.dll" />
   </Target>

</Project>
